## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests are not included in the PyPi source, but this PR should include them:
# https://github.com/Azure/azure-sdk-for-python/pull/21543
%bcond_with     tests

%global         srcname     azure-common

Name:           python-%{srcname}
Version:        1.1.28
Release:        %autorelease
Summary:        Microsoft Azure Client Library for Python (Common)
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel

# Upstream imports adal/msrestazure, but it doesn't include adal/msrestazure in its
# required packages list.
# Bug: https://github.com/Azure/azure-sdk-for-python/issues/24948
Requires:       python3dist(msrestazure)
BuildRequires:  python3dist(msrestazure)

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Client Library for Python (Common)}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.28-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:1.1.28-5
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:1.1.28-4
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:1.1.28-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 01 2022 Major Hayden <major@redhat.com> - 1:1.1.28-1
- Update to 1.1.28 rhbz#2050397

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 1:1.1.22-8
- Add import check

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1:1.1.22-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:1.1.22-5
- Clean up for consistency

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:1.1.22-4
- Move obsoletes into subpackage

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:1.1.22-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.1.22-2
- Add epoch number for downgrade to 1.1.22

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:1.1.22-1
- Add epoch number for downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1.1.22-1
- Back to version 1.1.22

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 1.1.27-1
- Initial import (#1970619)
## END: Generated by rpmautospec
